#Calendar implementation for the HTWK Leipzig timetable. Evaluation and display of the individual dates in iCal format.
#Copyright (C) 2024 HTWKalender support@htwkalender.de

#This program is free software: you can redistribute it and/or modify
#it under the terms of the GNU Affero General Public License as published by
#the Free Software Foundation, either version 3 of the License, or
#(at your option) any later version.

#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU Affero General Public License for more details.

#You should have received a copy of the GNU Affero General Public License
#along with this program.  If not, see <https://www.gnu.org/licenses/>.

services:
  htwkalender-data-manager:
    image: DOCKER_REGISTRY_REPO/data-manager:PROD_TAG # DOCKER_REGISTRY_REPO will be replaced by CI
    pull_policy: always
    restart: always
    volumes:
      - pb_data:/htwkalender-data-manager/data
    networks:
      - "net"

  htwkalender-ical:
    image: DOCKER_REGISTRY_REPO/ical:PROD_TAG # DOCKER_REGISTRY_REPO will be replaced by CI
    pull_policy: always
    restart: always
    environment:
      - DATA_MANAGER_URL=htwkalender-data-manager
    networks:
      - "net"
    depends_on:
      - htwkalender-data-manager

  htwkalender-frontend:
    image: DOCKER_REGISTRY_REPO/frontend:PROD_TAG # DOCKER_REGISTRY_REPO will be replaced by CI
    pull_policy: always
    restart: always
    depends_on:
      - htwkalender-data-manager
    networks:
      - "net"

  rproxy:
    image: docker.io/bitnami/nginx:1.25
    restart: always
    volumes:
      - ./reverseproxy.conf:/opt/bitnami/nginx/conf/nginx.conf
      - ./htwkalender.de.pem:/opt/bitnami/nginx/conf/htwkalender.de.pem
      - ./htwkalender.de.key.pem:/opt/bitnami/nginx/conf/htwkalender.de.key.pem
      - ./cal.htwk-leipzig.de.pem:/opt/bitnami/nginx/conf/cal.htwk-leipzig.de.pem
      - ./cal.htwk-leipzig.de.key.pem:/opt/bitnami/nginx/conf/cal.htwk-leipzig.de.key.pem
    depends_on:
      - htwkalender-data-manager
      - htwkalender-frontend
    ports:
      - "443:443"
      - "80:80"
    networks:
      - "net"

volumes:
  pb_data:

networks:
  net:
    external: true